import '../../stencil.core';
import { EventEmitter } from '../../stencil.core';
export declare class CwcDatepicker {
    container: HTMLElement;
    pickerInputElement: HTMLInputElement;
    datePicker: any;
    dateRangePicker: any;
    langConstants: {
        en: {
            days: string[];
            months: string[];
            today: string;
            clear: string;
            close: string;
            startDate: string;
            endDate: string;
            selectDate: string;
        };
        de: {
            days: string[];
            months: string[];
            today: string;
            clear: string;
            close: string;
            startDate: string;
            endDate: string;
            selectDate: string;
        };
    };
    el: HTMLElement;
    element: HTMLInputElement;
    id: string;
    label: string;
    range: boolean;
    startDate: string;
    endDate: string;
    lang: string;
    format: string;
    isRequired: boolean;
    isReadonly: boolean;
    viewMode: boolean;
    statechange: EventEmitter;
    onChange: EventEmitter;
    clear(): void;
    reInit(): void;
    componentDidLoad(): void;
    initDatePicker: () => void;
    initDateRangePicker: () => void;
    private parseInputString;
    private formInputValueString;
    private startDateValueString;
    private endDateValueString;
    private selectDateValueString;
    private showRangePicker;
    render(): JSX.Element;
}
